# Uses of Class
org.eclipse.draw2d.EventDispatcher

Packages that use EventDispatcher
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of EventDispatcher in org.eclipse.draw2d

Subclasses of EventDispatcher in org.eclipse.draw2d
Modifier and Type
Class
Description
`class`
`SWTEventDispatcher`
The SWTEventDispatcher provides draw2d with the ability to dispatch SWT Events.
Methods in org.eclipse.draw2d that return EventDispatcher
Modifier and Type
Method
Description
`protected EventDispatcher`
LightweightSystem.`getEventDispatcher()`
Returns this LightwightSystem's EventDispatcher.
`EventDispatcher`
Figure.`internalGetEventDispatcher()`
`EventDispatcher`
IFigure.`internalGetEventDispatcher()`
This method is for internal purposes only and should not be called.
`EventDispatcher`
LightweightSystem.RootFigure.`internalGetEventDispatcher()`
Methods in org.eclipse.draw2d with parameters of type EventDispatcher
Modifier and Type
Method
Description
`void`
LightweightSystem.`setEventDispatcher(EventDispatcher dispatcher)`
Sets this LightweightSystem's EventDispatcher.
Constructors in org.eclipse.draw2d with parameters of type EventDispatcher
Modifier
Constructor
Description
``
`InputEvent(EventDispatcher dispatcher, IFigure source, int state)`
Constructs a new InputEvent.
``
`KeyEvent(EventDispatcher dispatcher, IFigure source, KeyEvent ke)`
Constructs a new KeyEvent.
``
`MouseEvent(int x, int y, EventDispatcher dispatcher, IFigure f, int button, int stateMask)`
Deprecated.
Use `MouseEvent(EventDispatcher, IFigure, org.eclipse.swt.events.MouseEvent)` instead.
``
`MouseEvent(EventDispatcher dispatcher, IFigure source, MouseEvent me)`
Constructs a new MouseEvent.